table = $('#vpslist').dataTable( {
		"bJQueryUI": true,
		"sPaginationType": "full_numbers",
		"iDisplayLength": 25,
		"sScrollX": "100%",
		"sScrollXInner": "150%",
		"bScrollCollapse": true,
		"aoColumns": [ 
			/* Provider */   			{ "bSortable": false },
			/* Plan */  				{ "bSortable": false },
			/* Platform */ 				{ "bSortable": false },
			/* Guaranteed */ 			{ "bSortable": false },
			/* Burstable */  			{ "bSortable": false },
			/* CPU */    				{ "bSortable": false },
			/* Disk */    				{ "bSortable": false },
			/* Traffic */    			{ "bSortable": false },
			/* Bandwidth */    			{ "bSortable": false },
			/* IPv4 */    				{ "bSortable": false },
			/* IPv6 */    				{ "bSortable": false },
			/* IRC */    				{ "bSortable": false },
			/* DNS */    				{ "bSortable": false },
			/* Overage */    			{ "bSortable": false },
			/* Backup */    			{ "bSortable": false },
			/* Price */    				{ "bSortable": false },
			/* data-provider */    		{ "bSortable": false, "bVisible": false },
			/* data-cpu */    			{ "bSortable": false, "bVisible": false },
			/* data-dedicated */    	{ "bSortable": false, "bVisible": false },
			/* data-guaranteed */    	{ "bSortable": false, "bVisible": false },
			/* data-burst */    		{ "bSortable": false, "bVisible": false },
			/* data-disk */    			{ "bSortable": false, "bVisible": false },
			/* data-traffic */    		{ "bSortable": false, "bVisible": false },
			/* data-bandwidth */    	{ "bSortable": false, "bVisible": false },
			/* data-unmetered */    	{ "bSortable": false, "bVisible": false },
			/* data-irc */    			{ "bSortable": false, "bVisible": false },
			/* data-ipv4 */    			{ "bSortable": false, "bVisible": false },
			/* data-ipv6 */    			{ "bSortable": false, "bVisible": false },
			/* data-dns */    			{ "bSortable": false, "bVisible": false },
			/* data-overage */    		{ "bSortable": false, "bVisible": false },
			/* data-price */    		{ "bSortable": false, "bVisible": false },
			/* data-backup */    		{ "bSortable": false, "bVisible": false },
			/* data-platform */    		{ "bSortable": false, "bVisible": false }
		] }
	);
	
	new FixedColumns(table, {
		"columns": 2
	});
	
	$('#vpslist').css('width', '100%').dataTable().fnAdjustColumnSizing();
	
	$(window).resize(function(){
		$('#vpslist').css('width', '100%').dataTable().fnAdjustColumnSizing();
	});
	
	$('#sort_list').buttonset();
	$('#sort_dir').buttonset();
	
	add_filter_hook("ram", column_map["guaranteed"], 0);
	add_filter_hook("burst", column_map["burst"], 0);
	add_filter_hook("disk", column_map["disk"], 0);
	add_filter_hook("traffic", column_map["traffic"], 0);
	add_filter_hook("bandwidth", column_map["bandwidth"], 0);
	add_filter_hook("cpu", column_map["cpu"], 0);
	add_filter_hook("price", column_map["price"], 0);
	add_filter_hook("backup", column_map["backup"], 0);
	//alert(rows["backup"]);
	
	$('#sort_options input').change(function(){
		if($('#sort_asc:checked').val() !== undefined)
		{
			var direction = "asc";
		}
		else
		{
			var direction = "desc";
		}
		
		var column = rows[$('input[name=sort]:checked').val()];
		
		table.fnSort([[column, direction], [rows["price"], 'asc']]);
	});
